Registry Data Versions - List

List data versions in the data container

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/data/{name}/versions?api-version=2025-09-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/data/{name}/versions?api-version=2025-09-01&$orderBy={$orderBy}&$top={$top}&$skip={$skip}&$tags={$tags}&listViewType={listViewType}

URI Parameters

Name In Required Type Description
name
path True

string

Data container's name

registryName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{2,32}$

Name of Azure Machine Learning registry. This is case-insensitive

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$orderBy
query

string

Please choose OrderBy value from ['createdtime', 'modifiedtime']

$skip
query

string

Continuation token for pagination.

$tags
query

string

Comma-separated list of tag names (and optionally values). Example: tag1,tag2=value2

$top
query

integer (int32)

Top count of results, top count cannot be greater than the page size.

                          If topCount > page size, results with be default page size count will be returned
listViewType
query

ListViewType

[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]View type for including/excluding (for example) archived entities.

Responses

Name Type Description
200 OK

DataVersionBaseResourceArmPaginatedResult

Success

Other Status Codes

ErrorResponse

Error

Examples

RegistryList Registry Data Version Base.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/registries/registryName/data/string/versions?api-version=2025-09-01&$orderBy=string&$top=1&$tags=string&listViewType=ArchivedOnly

Sample response

{
  "value": [
    {
      "id": "string",
      "name": "string",
      "type": "string",
      "properties": {
        "description": "string",
        "tags": {
          "string": "string"
        },
        "properties": {
          "string": "string"
        },
        "isArchived": false,
        "isAnonymous": false,
        "dataUri": "string",
        "dataType": "mltable",
        "referencedUris": [
          "string"
        ]
      },
      "systemData": {
        "createdAt": "2020-01-01T12:34:56.999+00:48",
        "createdBy": "string",
        "createdByType": "User",
        "lastModifiedAt": "2020-01-01T12:34:56.999+00:48",
        "lastModifiedBy": "string",
        "lastModifiedByType": "User"
      }
    }
  ],
  "nextLink": "string"
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DataType

Enum to determine the type of data.

DataVersionBaseResource

Azure Resource Manager resource envelope.

DataVersionBaseResourceArmPaginatedResult

A paginated list of DataVersionBase entities.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ListViewType
MLTableData

MLTable data definition

systemData

Metadata pertaining to creation and last modification of the resource.

UriFileDataVersion

uri-file data version entity

UriFolderDataVersion

uri-folder data version entity

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DataType

Enum to determine the type of data.

Value Description
uri_file
uri_folder
mltable

DataVersionBaseResource

Azure Resource Manager resource envelope.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties DataVersionBase:

[Required] Additional attributes of the entity.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DataVersionBaseResourceArmPaginatedResult

A paginated list of DataVersionBase entities.

Name Type Description
nextLink

string

The link to the next page of DataVersionBase objects. If null, there are no additional pages.

value

DataVersionBaseResource[]

An array of objects of type DataVersionBase.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ListViewType

Value Description
ActiveOnly
ArchivedOnly
All

MLTableData

MLTable data definition

Name Type Default value Description
dataType string:

mltable

[Required] Specifies the type of data.

dataUri

string

minLength: 1
pattern: [a-zA-Z0-9_]

[Required] Uri of the data. Example: https://go.microsoft.com/fwlink/?linkid=2202330

description

string

The asset description text.

isAnonymous

boolean

False

If the name version are system generated (anonymous registration).

isArchived

boolean

False

Is the asset archived?

properties

object

The asset property dictionary.

referencedUris

string[]

Uris referenced in the MLTable definition (required for lineage)

tags

object

Tag dictionary. Tags can be added, removed, and updated.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UriFileDataVersion

uri-file data version entity

Name Type Default value Description
dataType string:

uri_file

[Required] Specifies the type of data.

dataUri

string

minLength: 1
pattern: [a-zA-Z0-9_]

[Required] Uri of the data. Example: https://go.microsoft.com/fwlink/?linkid=2202330

description

string

The asset description text.

isAnonymous

boolean

False

If the name version are system generated (anonymous registration).

isArchived

boolean

False

Is the asset archived?

properties

object

The asset property dictionary.

tags

object

Tag dictionary. Tags can be added, removed, and updated.

UriFolderDataVersion

uri-folder data version entity

Name Type Default value Description
dataType string:

uri_folder

[Required] Specifies the type of data.

dataUri

string

minLength: 1
pattern: [a-zA-Z0-9_]

[Required] Uri of the data. Example: https://go.microsoft.com/fwlink/?linkid=2202330

description

string

The asset description text.

isAnonymous

boolean

False

If the name version are system generated (anonymous registration).

isArchived

boolean

False

Is the asset archived?

properties

object

The asset property dictionary.

tags

object

Tag dictionary. Tags can be added, removed, and updated.